uk.gov.hmrc.mongo.test

# IndexedMongoQueriesSupport

###
Related Doc: package test

#### trait IndexedMongoQueriesSupport extends MongoCollectionSupport with BeforeAndAfterAll

Causes queries which don't use an index to generate com.mongodb.MongoQueryException or com.mongodb.MongoWriteException containing message 'No query solutions'

Self Type
  IndexedMongoQueriesSupport with TestSuite

Linear Supertypes
BeforeAndAfterAll, SuiteMixin, MongoCollectionSupport, MongoSupport, ScalaFutures, Futures, PatienceConfiguration, AbstractPatienceConfiguration, ScaledTimeSpans, AnyRef, Any
Known Subclasses
DefaultMongoCollectionSupport
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. IndexedMongoQueriesSupport
2. BeforeAndAfterAll
3. SuiteMixin
4. MongoCollectionSupport
5. MongoSupport
6. ScalaFutures
7. Futures
8. PatienceConfiguration
9. AbstractPatienceConfiguration
10. ScaledTimeSpans
11. AnyRef
12. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### trait FutureConcept[T] extends AnyRef

   Definition Classes
     Futures

2. #### final case class PatienceConfig extends Product with Serializable

   Definition Classes
     AbstractPatienceConfiguration

### Abstract Value Members

1. #### abstract def collectionName: String

   Attributes
     protected
   Definition Classes
     MongoCollectionSupport

2. #### abstract def expectedTestCount(filter: Filter): Int

   Definition Classes
     SuiteMixin

3. #### abstract def indexes: Seq[IndexModel]

   Attributes
     protected
   Definition Classes
     MongoCollectionSupport

4. #### abstract def nestedSuites: IndexedSeq[Suite]

   Definition Classes
     SuiteMixin

5. #### abstract def optSchema: Option[BsonDocument]

   Attributes
     protected
   Definition Classes
     MongoCollectionSupport

6. #### abstract def rerunner: Option[String]

   Definition Classes
     SuiteMixin

7. #### abstract def runNestedSuites(args: Args): Status

   Attributes
     protected
   Definition Classes
     SuiteMixin

8. #### abstract def runTest(testName: String, args: Args): Status

   Attributes
     protected
   Definition Classes
     SuiteMixin

9. #### abstract def runTests(testName: Option[String], args: Args): Status

   Attributes
     protected
   Definition Classes
     SuiteMixin

10. #### abstract def suiteId: String

    Definition Classes
      SuiteMixin

11. #### abstract def suiteName: String

    Definition Classes
      SuiteMixin

12. #### abstract def tags: Map[String, Set[String]]

    Definition Classes
      SuiteMixin

13. #### abstract def testDataFor(testName: String, theConfigMap: ConfigMap): TestData

    Definition Classes
      SuiteMixin

14. #### abstract def testNames: Set[String]

    Definition Classes
      SuiteMixin

15. #### abstract val styleName: String

    Definition Classes
      SuiteMixin
    Annotations
      @deprecated
    Deprecated

      (Since version 3.1.0) The styleName lifecycle method has been deprecated and will be removed in a future version of ScalaTest with no replacement.

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def afterAll(): Unit

   Attributes
     protected
   Definition Classes
     IndexedMongoQueriesSupport → BeforeAndAfterAll

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def beforeAll(): Unit

   Attributes
     protected
   Definition Classes
     IndexedMongoQueriesSupport → BeforeAndAfterAll

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### implicit def convertScalaFuture[T](scalaFuture: Future[T]): (IndexedMongoQueriesSupport.this)#FutureConcept[T]

   Definition Classes
     ScalaFutures

9. #### def count(): Future[Long]

   Attributes
     protected
   Definition Classes
     MongoCollectionSupport

10. #### def createCollection(): Unit

    Attributes
      protected
    Definition Classes
      MongoCollectionSupport

11. #### val databaseName: String

    Attributes
      protected
    Definition Classes
      MongoSupport

12. #### def dropCollection(): Unit

    Attributes
      protected
    Definition Classes
      MongoCollectionSupport

13. #### def dropDatabase(): Unit

    Attributes
      protected
    Definition Classes
      MongoSupport

14. #### def ensureIndexes(): Seq[String]

    Attributes
      protected
    Definition Classes
      MongoCollectionSupport

15. #### def ensureSchemas(): Unit

    Attributes
      protected
    Definition Classes
      MongoCollectionSupport

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### def find(filter: Bson): Future[Seq[Document]]

    Attributes
      protected
    Definition Classes
      MongoCollectionSupport

20. #### def findAll(): Future[Seq[Document]]

    Attributes
      protected
    Definition Classes
      MongoCollectionSupport

21. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

22. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

23. #### def insert[T](document: Document): Future[Completed]

    Attributes
      protected
    Definition Classes
      MongoCollectionSupport

24. #### def interval(value: Span): Interval

    Definition Classes
      PatienceConfiguration

25. #### val invokeBeforeAllAndAfterAllEvenIfNoTestsAreExpected: Boolean

    Definition Classes
      BeforeAndAfterAll

26. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

27. #### lazy val mongoClient: MongoClient

    Attributes
      protected
    Definition Classes
      MongoSupport

28. #### lazy val mongoCollection: MongoCollection[Document]

    Attributes
      protected
    Definition Classes
      MongoCollectionSupport

29. #### lazy val mongoComponent: MongoComponent

    Attributes
      protected
    Definition Classes
      MongoSupport

30. #### lazy val mongoDatabase: MongoDatabase

    Attributes
      protected
    Definition Classes
      MongoSupport

31. #### val mongoUri: String

    Attributes
      protected
    Definition Classes
      MongoSupport

32. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

33. #### final def notify(): Unit

    Definition Classes
      AnyRef

34. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

35. #### implicit def patienceConfig: (IndexedMongoQueriesSupport.this)#PatienceConfig

    Definition Classes
      PatienceConfiguration → AbstractPatienceConfiguration

36. #### def prepareDatabase(): Unit

    Attributes
      protected
    Definition Classes
      MongoCollectionSupport → MongoSupport

37. #### def run(testName: Option[String], args: Args): Status

    Definition Classes
      BeforeAndAfterAll → SuiteMixin

38. #### final def scaled(span: Span): Span

    Definition Classes
      ScaledTimeSpans

39. #### def spanScaleFactor: Double

    Definition Classes
      ScaledTimeSpans

40. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

41. #### lazy val throttleConfig: ThrottleConfig

    Attributes
      protected
    Definition Classes
      MongoSupport

42. #### def timeout(value: Span): Timeout

    Definition Classes
      PatienceConfiguration

43. #### def toString(): String

    Definition Classes
      AnyRef → Any

44. #### def updateIndexPreference(onlyAllowIndexedQuery: Boolean): Future[Boolean]

    Attributes
      protected
    Definition Classes
      MongoSupport

45. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

47. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

48. #### final def whenReady[T, U](future: (IndexedMongoQueriesSupport.this)#FutureConcept[T])(fun: (T) ⇒ U)(implicit config: (IndexedMongoQueriesSupport.this)#PatienceConfig, pos: Position): U

    Definition Classes
      Futures

49. #### final def whenReady[T, U](future: (IndexedMongoQueriesSupport.this)#FutureConcept[T], interval: Interval)(fun: (T) ⇒ U)(implicit config: (IndexedMongoQueriesSupport.this)#PatienceConfig, pos: Position): U

    Definition Classes
      Futures

50. #### final def whenReady[T, U](future: (IndexedMongoQueriesSupport.this)#FutureConcept[T], timeout: Timeout)(fun: (T) ⇒ U)(implicit config: (IndexedMongoQueriesSupport.this)#PatienceConfig, pos: Position): U

    Definition Classes
      Futures

51. #### final def whenReady[T, U](future: (IndexedMongoQueriesSupport.this)#FutureConcept[T], timeout: Timeout, interval: Interval)(fun: (T) ⇒ U)(implicit config: (IndexedMongoQueriesSupport.this)#PatienceConfig, pos: Position): U

    Definition Classes
      Futures

### Inherited from BeforeAndAfterAll

### Inherited from SuiteMixin

### Inherited from MongoCollectionSupport

### Inherited from MongoSupport

### Inherited from ScalaFutures

### Inherited from Futures

### Inherited from PatienceConfiguration

### Inherited from AbstractPatienceConfiguration

### Inherited from ScaledTimeSpans

### Inherited from AnyRef

### Inherited from Any

### Ungrouped